# $Id: pam_aklog.spec,v 1.2 2003/05/21 13:32:38 flash Exp $
Summary: A Pluggable Authentication Module to run aklog
Name: pam_aklog
Version: 1.0
Release: 6csdcf
Source: ftp://www.itp.tugraz.at/pub/src/projects/pam_aklog-%{version}.tar.bz2
Patch0: pam_aklog.nosetpag.patch
License: GPL
Group: System Environment/Base
BuildRequires: /usr/bin/aklog
BuildRoot: %{_tmppath}/%{name}
Requires: openafs-krb5

%ifarch x86_64
%define libdir /lib64
%else
%define libdir /lib
%endif

%description 

This is pam_aklog, a pluggable authentication module that can be used
with Linux-PAM and Kerberos 5 in conjunction with AFS. It executes
/usr/bin/aklog when used as session or auth module.

%prep
%setup

# Patch to remove -setpag flags, since they don't work.
%patch0 -p1 -b .nosetpag



%build

%install
make DESTDIR=$RPM_BUILD_ROOT mandir=$RPM_BUILD_ROOT%{_mandir} libdir=$RPM_BUILD_ROOT%{libdir} install

%post
echo "session     optional      pam_aklog.so" >> /etc/pam.d/system-auth

%preun
sed '/pam_aklog.so/d' /etc/pam.d/system-auth > /etc/pam.d/system-auth.new
mv /etc/pam.d/system-auth.new /etc/pam.d/system-auth

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/%{_lib}/security/pam_aklog.so
%{_mandir}/man8/*
%doc README COPYING

%changelog
